summaryrefslogtreecommitdiff
path: root/git/init.d/20restore-metadata
diff options
context:
space:
mode:
authorMathieu Clabaut <mathieu.clabaut@gmail.com>2007-12-21 15:47:30 -0600
committerJoey Hess <joey@kodama.kitenet.net>2008-01-03 19:53:46 -0500
commitf82235032f162aae0bb08828d45c6306e60dcd29 (patch)
treea4479471b8b8c91903e1ceaf54dfea42e3457a4a /git/init.d/20restore-metadata
parent631af60701ca747861d67a19d431005c7d45d6be (diff)
hg and git subrepo creation (hg is for now a copy of git)
Diffstat (limited to 'git/init.d/20restore-metadata')
-rw-r--r--git/init.d/20restore-metadata10
1 files changed, 10 insertions, 0 deletions
diff --git a/git/init.d/20restore-metadata b/git/init.d/20restore-metadata
new file mode 100644
index 0000000..01c45e4
--- /dev/null
+++ b/git/init.d/20restore-metadata
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+# Note that metastore doesn't check that the .metastore file only changes
+# perms of files in the current directory. It's ok to trust the .metastore
+# file won't do anything shady, because, as documented, etckeeper-init
+# should only be run on repositories you trust.
+if [ -e .metadata ]; then
+ metastore --apply --mtime
+fi